// authorize.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    hasAuthorize: false,
    color: 'color-' + "d23c3b",
    show:true
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      userInfo: wx.getStorageSync("userInfo")
    })
  },
  getuser(e){
    var that = this;
    console.log(e.detail.userInfo)
    if (e.detail.userInfo) {
      that.setData({
        hasAuthorize: true
      })
      wx.switchTab({
        url: '../index/index',
      })
    }else{
      that.setData({
        hasAuthorize:false
      })
    }
  },
  giveAuthorize: function(){
    var that = this;
    wx.openSetting({
      success: function(sucRes){
        // console.log(sucRes);
        // console.log(sucRes.authSetting);
        // console.log(sucRes.authSetting["scope.userInfo"])
        // console.log(sucRes.authSetting["scope.userLocation"]);
        // if (sucRes.authSetting["scope.userLocation"]){
        if (sucRes.authSetting["scope.userInfo"] == true){
          console.log('授权成功');
          // var pages = getCurrentPages();
          // var indexPage = pages[0];
          // indexPage.onLoad();
          // wx.navigateBack({})
          that.setData({
            hasAuthorize: true
          })
        }
      },
      fail: function(failRes){
        console.log(failRes);
        
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    return {
      title: '邀请好友成为您的伙伴',
      path: '/pages/index/index?share_id=' + wx.getStorageSync('openid'),
      success: function (res) {
        // 转发成功
        wx.showToast({
          title: '分享成功',
        })
      },
      fail: function (res) {
        // 转发失败
        wx.showToast({
          title: '分享失败',
          image: '../../../images/warning.png'
        })
      }
    }
  }
})